' VBScript source code
Dim m_wndXML

Function openInvalidXMLFile(strXMLPath)
	Dim objFSO
	Dim objFile
	Dim strXML
	
	strXML = ""
	
	Set objFSO = CreateObject("Scripting.FileSystemObject")
	
	Set objFile = objFSO.openTextFile(strXMLPath)

	If Not objFile Is Nothing Then
		strXML = objFile.readAll
		
		objFile.close
		
		Set objFile = Nothing
	End If
	
	Set objFSO = Nothing
	
	openInvalidXMLFile = strXML
End Function

Function OpenXML(blnSelect, strEditor, blnRevalidate)
	Dim strName, strAddXML
	Dim objXML
	
	Set objXML = window.event.srcElement
	strName = objXML.name
	
	strAddXML = "addXML('" & strName & "" & blnSelect & "" & blnRevalidate & "')"

	Set m_wndXML = window.open(strEditor, "xmlFile", "toolbar=no,scrollbars=no,top=20, left=40,width=800,height=625", True)

	call window.setTimeout(strAddXML, 500)
End Function

Function addXML(strParams)
	Dim objProtXML
	Dim strXML 
	Dim objXML
	Dim strInvalidXML
	Dim strOrigXML
	Dim strXMLPath
	Dim strErrorNumbers
	Dim strFile
	Dim lngError
	Dim blnSelect
	Dim blnRevalidate
	Dim blnLoadFromFile
	
	blnLoadFromFile = False
	arrParams = Split(strParams, "")
	strName = arrParams(0)
	blnSelect = CBool(arrParams(1))
	blnRevalidate = CBool(arrParams(2))
	
	On Error Resume Next
	strOrigXML = xmlOrigXML.xml
	On Error Goto 0
	
	If Len(Trim(strOrigXML)) = 0  Then
		strXMLPath = document.all("protFile").value
		strOrigXML = openInvalidXMLFile(strXMLPath)
		blnLoadFromFile = True
	End If

	If blnSelect Then
		If Not blnLoadFromFile Then
			'button clicked
			Set objXML = window.document.all(strName)

			'the invalid question xml
			lngError	  =	objXML.id

			'get the invalid question xml out	
			strInvalidXML = objXML.parentNode.childNodes(1).documentElement.xml
			strInvalidXML = Replace(strInvalidXML, vbTab, "")
			strInvalidXML = Replace(strInvalidXML, vbNewLine, vbCr)
		End If
	End If
	
	'the textarea to put the protocol xml in
	Set objProtXML = m_wndXML.document.all("protXML")

	strOrigXML = Replace(strOrigXML, vbTab, "")
	strOrigXML = Replace(strOrigXML, vbNewLine, vbCr)
	
	'put the original protocol xml into the textarea 
	objProtXML.value = strOrigXML

	strFile = Replace(document.all("protFile").value, document.all("protDir").value, "")
	m_wndXML.document.all("cmbFileVersion").options(0).value = strFile
	m_wndXML.document.all("fldFileLabel").innerHTML = "<b>" & document.all("protFile").value & "</b>"
	
	m_wndXML.document.all("fldClientProtocolDir").value = document.all("protDir").value
	m_wndXML.document.all("fldServerProtocolDir").value = document.all("serverProtocolDir").value
	m_wndXML.document.all("Configuration").value = document.all("ConfigurationSetting").value
	m_wndXML.document.all("fldNewFile").value = strFile
	m_wndXML.document.all("fldErrorCorrection").value = blnSelect
	m_wndXML.document.all("fldRevalidate").value = blnRevalidate
	
	If (Not blnLoadFromFile) Then
		strErrorNumbers = document.all("fldErrorNumbers").value
	End If
	m_wndXML.document.all("fldErrorNumbers").value = strErrorNumbers

	m_wndXML.document.all("fldCurrentError").value = lngError
	
	call initialiseButtons(m_wndXML, lngError, strErrorNumbers, blnSelect)	
	If blnSelect Then
		call textRangeSelect(objProtXML, strInvalidXML)
	End If
End Function

Function initialiseButtons(wndXML, lngError, strErrorNumbers, blnSelect)
	Dim objFirst, objLast, objPrev, objNext, objReSelect
	Dim arrErrors

	Set objFirst = wndXML.document.all("btnFirst")
	Set objLast = wndXML.document.all("btnLast")
	Set objPrev = wndXML.document.all("btnPrev")
	Set objNext = wndXML.document.all("btnNext")
	Set objReSelect = wndXML.document.all("btnReload")

	If blnSelect Then
		If Len(strErrorNumbers) > 0 Then
			arrErrors = Split(strErrorNumbers, "")
			If UBound(arrErrors) = 0 Then
				objFirst.disabled = True
				objPrev.disabled = True	
				objNext.disabled = True
				objLast.disabled = True				
			ElseIf Not LBound(arrErrors) = UBound(arrErrors) Then
				If lngError = arrErrors(0) Then
					objFirst.disabled = True
					objPrev.disabled = True
				End If

				If lngError = arrErrors(UBound(arrErrors)) Then
					objLast.disabled = True
					objNext.disabled = True
				End If		
			Else	
				objFirst.disabled = True
				objPrev.disabled = True	
				objNext.disabled = True
				objLast.disabled = True
				objReSelect.disabled = True
			End If
		Else
			objFirst.disabled = True
			objPrev.disabled = True	
			objNext.disabled = True
			objLast.disabled = True
			objReSelect.disabled = True		
		End If
	Else
		objFirst.disabled = True
		objPrev.disabled = True	
		objNext.disabled = True
		objLast.disabled = True
		objReSelect.disabled = True		
	End If
End Function

Function textRangeSelect(objProtXML, strInvalidXML)
	Dim Range 
	Set Range = objProtXML.createTextRange()
	
	If Range.findText(strInvalidXML) Then
		Range.select()
	End If
End Function	

Function launchForm()
	window.opener.document.getElementById("butMake").click()
	window.close
End Function