﻿<%@ Page Language="C#" AutoEventWireup="false" CodeBehind="GpXmlValidation.aspx.cs"
    Inherits="SCI.Gateway.Web.Message.GpXmlValidation" %>
<%@ Register TagPrefix="sci" Namespace="SCI.Gateway.Web.Controls" Assembly="SCI.Gateway.Web" %>
<%@ Register TagPrefix="scigw" Namespace="SCI.Gateway.Web" Assembly="SCI.Gateway.Web" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css">
        .validationTable
        {
            padding-left:20px;
            padding-right:20px;	
            overflow:auto;
        }
        
        .userFriendlyError
        {
          color:Red;
          font-weight:bold;
          background-color:White;	
        }
        
        .errorDetails
        {
            color:Black;
            font-weight:bold;
            background-color:White;	
        }
        
        .button
        {
            font-size:11px;
            font-weight:bold;
            color:#000066;
            cursor:hand;	
        }
    </style>
    <title>GP XML Data Validation</title>
    <scigw:header id="headerControl" runat="server">
    </scigw:header><base target="_self">
</head>
<body>
    <form id="GatewayForm" runat="server">
    <div id="contentHeader" style="position:relative;">
        <asp:Label ID="Label1" runat="server">GP XML Data Validation</asp:Label>
    </div>
    <div id="ButtonContainer">
        <table align="center">
            <tr align="center">
                <td align="center">
                    <asp:Button ID="SaveButton" runat="server" Text="Save" CssClass="button"/>
                </td>
                <td align="center">
                    <asp:Button ID="BlankButton" runat="server" Text="No Pre-population" CssClass="button"/>
                </td>
                <td align="center">
                    <asp:Button ID="IgnoreButton" runat="server" Text="Pre-population" CssClass="button"/>
                </td>
            </tr>
        </table>
    </div>
    <div id="ErrorContainer" style="overflow:auto;">
        <asp:PlaceHolder ID="ErrorListPlaceholder" runat="server"></asp:PlaceHolder>
    </div>
    <input id="fldSessionKey" name="fldSessionKey" type="hidden" runat="server" />
    <input id="fldGatewayServices" name="fldGatewayServices" type="hidden" runat="server" />
    <input id="prePopXml" name="prePopXml" type="hidden" runat="server" />
    <input id="continuePrepop" name="continuePrepop" type="hidden" runat="server" />
    </form>
</body>
</html>
