<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
				xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
				xmlns:tpi="http://www.show.scot.nhs.uk/isd/ThirdPartyInterface" 
				xmlns:pps="http://www.show.scot.nhs.uk/isd/PrePopulationSource"
				xmlns:DatMatObj="urn:xsltExtension-DateMatch" 
				xmlns:RegExpObj="urn:xsltExtension-RegularExpression" 
				xmlns:SchMatObj="urn:xsltExtension-SchemeMatch" 
				xmlns:user="mailto:dorothee.huck@gpass.co.uk" 
				exclude-result-prefixes="user msxsl">
          <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />
          <xsl:template match="text()" />
          <xsl:template match="*">
                    <xsl:choose>
                              <xsl:when test="count(./child::*) &gt; 0">
                                        <xsl:copy>
                                                  <xsl:if test="@preserve='true'">
                                                            <xsl:attribute name="preserve">true</xsl:attribute>
                                                  </xsl:if>
                                                  <xsl:apply-templates select="*" />
                                        </xsl:copy>
                              </xsl:when>
                              <xsl:when test="count(./child::*) = 0">
                                        <xsl:element name="{name()}">
                                                  <xsl:if test="@preserve='true'">
                                                            <xsl:attribute name="preserve">true</xsl:attribute>
                                                  </xsl:if>
                                                  <xsl:value-of select="text()" />
                                        </xsl:element>
                              </xsl:when>
                    </xsl:choose>
          </xsl:template>
</xsl:stylesheet>
